Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.context
[Java] Class WebRequestServletHolder

    java.lang.Object
      grails.util.Holder
          org.codehaus.groovy.grails.web.context.WebRequestServletHolder

    public class WebRequestServletHolder
    extends Holder

Authors:
  Burt Beckwith

Since:
  2.0

Constructor Summary
`WebRequestServletHolder()`

Method Summary
`protected javax.servlet.ServletContext` | `lookupSecondary()`

Methods inherited from class Holder
get, get, lookupSecondary, set

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### WebRequestServletHolder

    public WebRequestServletHolder()

Method Detail

### lookupSecondary

    @java.lang.Override
    protected javax.servlet.ServletContext lookupSecondary()

Groovy Documentation